/*********************************************************************
* file status: RESTRICTED /PROPRIETARY
*
* (c) Copyright 2007, Dallas Logic Corp.
* All rights reserved.
*
* PROPRIETARY INFORMATION
*
* The information contained in this file is the property of Dallas Logic Corp.
* Except as specifically authorized in writing by Dallas Logic Corp.,
* the holder of this file: (1) shall keep all information
* contained herein confidential and shall protect same in whole or in
* part from disclosure and dissemination to all third parties and (2)
* shall use same for operation and maintainence purposes only.
*
*
* Purpose: SOCkit development board source file 
*
*
* Filename:          niomite.c
* Current Revision:  1.00
* Last Updated:      01/12/2007
*
* Version 1.00 Original source file for NIOSII softcore
* 
*********************************************************************/


#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include "altera_avalon_pio_regs.h"
#include "system.h"
#include "epcs_commands.h"
#include "altera_avalon_epcs_flash_controller.h"


// Function declarations

void led_test();


// Main program

int main(void)
  {
  

   /*
  * Main Starts Here
  */
    
          while(1)
    {
    
                 led_test();
    }
   }


/* This module illuminates the led found on the Niomite board for 
*  100 ms. It will then turn off the led for 100 ms.
*  This function will loop indefinitely.
*/


void led_test()
{

  IOWR(LED_BASE, 0, 0x1);
    usleep(100000);
  IOWR(LED_BASE, 0, 0x1);
    usleep(100000);
  IOWR(LED_BASE, 0, 0x0);
    usleep(100000);
  IOWR(LED_BASE, 0, 0x0);
    usleep(100000);

return;
}
